Bug 1254357 - Build KeePass 2.30 for F21 and F22
Summary: Build KeePass 2.30 for F21 and F22
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: keepass
Version: 22
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Oliver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1128499
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-17 20:28 UTC by barsnick
Modified: 2015-12-17 05:49 UTC (History)
4 users (show)

Fixed In Version: keepass-2.30-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 23:50:34 UTC


Attachments (Terms of Use)

Description barsnick 2015-08-17 20:28:41 UTC
Description of problem:
Please build keepass 2.30 for F21 and F22.

Version-Release number of selected component (if applicable):
2.27-1.fc21

Additional info:
Apparently, 2.27 (upto 2.29) has never successfully built on F22. The F21 repo hosts 2.27 (2.27-1.fc21), while F22 is at 2.26 (2.26-9.fc21).

keepass 2.30 has finally successfully built, albeit it only for F23 and F24. Though the releases don't seem to be security fixes, it would be great to have them in F21/F22 as well.

To build on F22, I needed to patch the SPEC file, because there's a Mono-4.0 specific modification command in there:

http://copr-dist-git.fedorainfracloud.org/cgit/barsnick/fed-newer/keepass.git/commit/?id=0627c0c09ce0c3402c68b519a09ca67cb9f85db3

This is my corresponding copr build:
https://copr.fedoraproject.org/coprs/barsnick/fed-newer/build/109456/

Works fine so far for me (basic usage) on x86_64.

(Build fails on ppc64le due to a missing ExcludeArch, but I fail to find a ruling on that in the Mono packaging guidelines.)

Comment 1 cturpie 2015-08-25 23:50:50 UTC
I don't know if this is proper etiquette...  But I would like to second this request as we have had nothing but trouble with Keepass under Fedora 22 and perhaps a newer build might help...

Comment 2 Peter Oliver 2015-08-27 18:25:26 UTC
We're not able to build KeePass for Fedora versions prior to 23, because of bug #1128499.  The only known fix/workaround for that at present is to upgrade to Mono 4, which is too large a change to make in stable releases of Fedora.  Sorry.

Comment 3 barsnick 2015-08-27 20:52:04 UTC
*sigh* Thanks for the info. So I was lucky building on my home machine and on copr.

cturpie, if you want to try my successful builds, grab them from my copr:

$ dnf copr enable barsnick/fed-newer
$ dnf update keepass

or

$ dnf update https://copr-be.cloud.fedoraproject.org/results/barsnick/fed-newer/fedora-22-x86_64/00109456-keepass/keepass-2.30-2.fc22.1sunshine.x86_64.rpm
(assuming you're on x86_64).

Comment 4 cturpie 2015-08-28 03:12:01 UTC
Hey thanks, barsnick, I will give that a try this weekend.

And, thank you Peter for getting back to us.

barsnick, did you have any trouble with menu navigation in keepass if other programs like firefox were opened after and while keepass was still running?  That's my biggest issue...

I am hoping v2.30 works better, menus continue to work properly even when you open other programs and then navigate back to keepass which was already open.

If you have not tried it... Open keepass, than open Firefox, thunderbird or open the system settings window (basically open a few other programs) and then go back to keepass (which you openned first).  Under the v2.26 (F22) I find that the dropdowns work but you can't click on anything if other programs or windows have been opened after keepass.  Continuing on with keyboard commands works for awhile but that even get's corrupted after a while.

If keepass v2.26 is the only thing open it seems to work fine... but the irony is it's a password manager so of course we want to be able to use it for things we are doing in other programs...  thus, my biggest problem.

Comment 5 cturpie 2015-08-28 03:15:42 UTC
I wanted to clarify this sentance:

"Under the v2.26 (F22) I find that the dropdowns work but you can't click on anything if other programs or windows have been opened after keepass"

What I meant was, the drops down menus.... drop down, but nothing within them is clickable.

Comment 6 Fedora Update System 2015-11-22 21:41:18 UTC
keepass-2.30-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ce3bdbec7b

Comment 7 Fedora Update System 2015-11-22 21:50:06 UTC
keepass-2.30-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-703a7aad00

Comment 8 Fedora Update System 2015-11-22 21:51:53 UTC
keepass-2.30-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-aceb4313a9

Comment 9 Fedora Update System 2015-11-24 00:24:00 UTC
keepass-2.30-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update keepass'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-aceb4313a9

Comment 10 Fedora Update System 2015-11-24 00:54:43 UTC
keepass-2.30-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update keepass'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-703a7aad00

Comment 11 Fedora Update System 2015-12-02 23:50:25 UTC
keepass-2.30-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 anfc22 2015-12-17 05:49:19 UTC
Installed keepass-2.30-2.fc22 on Fedora 22 but showing unknown character on the program interface once upgraded. Prior version which is 2.26 working fine on Fedora 22 x86_64.

Any missing components such as newer font used by keepass 2.30-2 version?


Note You need to log in before you can comment on or make changes to this bug.